{ ... }: {
  flake.homeManagerModules.wisdomAppsPokeclicker =
    { config, lib, pkgs, ... }:
    let
      root = config.chiasson.home;
      cfg = config.chiasson.home.apps.pokeclicker;
      pokeclickerPkg = pkgs.callPackage ./package { };
    in
    {
      options.chiasson.home.apps.pokeclicker.enable = lib.mkEnableOption "PokéClicker desktop (Farigh fork .deb → nix).";

      config = lib.mkIf (root.enable && cfg.enable) {
        home.packages = [ pokeclickerPkg ];
      };
    };
}
